dofile("scripts/entities/entityinclude.lua")

n = 0 -- Link to naija.

function init(me)
   setupEntity(me)
   entity_setEntityType(me, ET_ENEMY)
   entity_initSkeletal(me, "mermanthin")
   entity_setState(me, STATE_IDLE)
   
   -- Find the Naija entity.
   n = getNaija ()
   
   -- Move the bones to the right positions.
   entity_animate (me, "idle", LOOP_INF)
end

function update(me, dt)
   -- Hide Naija.
   entity_alpha (n, 0)
   
   -- Face the same way as Naija; I don't know how to get rid of the transition.
   entity_flipToSame (me, n)
   
   -- Move to Naija's position.
   entity_setPosition (me, entity_getPosition (n))
   
   -- Change to Naija's angle.
   entity_rotate (me, entity_getRotation (n))
   
   -- Use the same animation as Naija if they're different.
   -- If the skeleton doesn't have this animation then it turns into a body part jumble.
   if entity_getAnimationName (me) ~= entity_getAnimationName (n) then
      entity_animate (me, entity_getAnimationName (n), LOOP_INF)
   end
end
