dofile("scripts/entities/entityinclude.lua")

n = 0
mbDown = false

function init(me)
	resetContinuity()
	setOverrideMusic("")
	
	n = getNaija()
	
	entity_alpha(n, 0.2)
	
	entity_heal(n, 999)
	cam_toNode(me)
	cam_setPosition(node_x(me), node_y(me))
	entity_setInvincible(n, true)
	entity_setState(n, STATE_TITLE)

	setMousePos(400, 550)
	
	disableInput()
	toggleCursor(true, 0.1)
	overrideZoom(1.0)
	
	resetTimer()
	
	playMusicStraight("icywaters")
	
	avatar_toggleCape(false)
	
	entity_animate(n, "frozen", -1, 4)
	setMousePos(400, 550)
	entity_alpha(n, 0)
	
	fade(1, 0)
	fade(0, 1)
	fade2(0, 2, 1, 1, 1)
end

function update(me, dt)
	cam_setPosition(node_x(me), node_y(me))
	if isInputEnabled() then
		disableInput()
		toggleCursor(true, 0.1)
	end

	scale = 800.0/1024.0 + 0.01
	
	overrideZoom(scale, 0)
	
	entity_setPosition(n, node_getPosition(getNode("NAIJA")))
	
	if (isLeftMouse() or isRightMouse()) and not mbDown then
		mbDown = true
	elseif (not isLeftMouse() and not isRightMouse()) and mbDown then
		mbDown = false
		node = getNodeToActivate()
		setNodeToActivate(0)
		stopCursorGlow()
		if node ~= 0 then
			node_activate(node, 0)
		end
	end
end
